// P.Nouel - Fev 2009 - 
// keyboard for  micropc project
// File: clavier_ps2_regs.h
// 
//
// NIOS II version


#ifndef __CLAVIER_PS2_REGS_H__
#define __CLAVIER_PS2_REGS_H__

/*
//////////////////////////////////////////////////////////////////////
//
// LANCELOT PS2 KEYBOARD PERIPHERAL
//
// THE REGISTER MAP
// 
//              7     6     5     4     3     2     1     0     
//           +-----+-----+-----+-----+-----+-----+-----+-----+
// RS = 0    |         Command Register (WRITE-Only)         |  
//           +-----+-----+-----+-----+-----+-----+-----+-----+
// RS = 0    |         Status Register  (READ -Only)         |  
//           +-----+-----+-----+-----+-----+-----+-----+-----+
// RS = 1    |         Data Register 1  (WRITE-Only)         |  
//           +-----+-----+-----+-----+-----+-----+-----+-----+
// RS = 1    |         Data Register 2  (READ -Only)         |  
//           +-----+-----+-----+-----+-----+-----+-----+-----+
//
/////////////////////////////////////////////////////////////////////////
*/

#include <io.h>

// Registers
// 
//  On suppose un seul composant clavier dont le nom est: KEYBOARD

#define IORD_CLAVIER_PS2_STATUS		     IORD(KEYBOARD_BASE, 0)
#define IOWR_CLAVIER_PS2_COMMAND(data)	     IOWR(KEYBOARD_BASE, 0, data)
#define IOWR_CLAVIER_PS2_DATA(data) 	     IOWR(KEYBOARD_BASE, 1, data)
#define IORD_CLAVIER_PS2_DATA		     IORD(KEYBOARD_BASE, 1)

#define IOADDR_CLAVIER_PS2_COMMAND   __IO_CALC_ADDRESS_NATIVE(KEYBOARD_BASE, 0)
#define IOADDR_CLAVIER_PS2_STATUS    __IO_CALC_ADDRESS_NATIVE(KEYBOARD_BASE, 0)
#define IOADDR_CLAVIER_PS2_DATA      __IO_CALC_ADDRESS_NATIVE(KEYBOARD_BASE, 4)


// Command  Register
#define CLAVIER_PS2_COMMAND_ENIRQ_MSK			(1 << 0)

// Status Register
#define CLAVIER_PS2_STATUS_NEW_MSK			(1 << 1)


#endif /* __CLAVIER_PS2_REGS_H__ */
